This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1271167 - [abrt] ovirt-guest-agent-common: __init__.py:378:__getitem__:AttributeError: python: undefined symbol: udev_device_get_property_value
[abrt] ovirt-guest-agent-common: __init__.py:378:__getitem__:AttributeError: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ovirt-guest-agent (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vinzenz Feenstra [evilissimo]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2b24af12709122a6af6627ff344...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 06:13 EDT by Lukas Slebodnik
Modified: 2016-07-11 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: ovirt-guest-agent-1.0.11-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-11 22:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (801 bytes, text/plain)
2015-10-13 06:13 EDT, Lukas Slebodnik
no flags Details
File: environ (161 bytes, text/plain)
2015-10-13 06:13 EDT, Lukas Slebodnik
no flags Details

  None (edit)
Description Lukas Slebodnik 2015-10-13 06:13:19 EDT
Description of problem:


Version-Release number of selected component:
ovirt-guest-agent-common-1.0.11-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/share/ovirt-guest-agent/diskmapper
dso_list:       python-libs-2.7.10-4.fc22.x86_64
executable:     /usr/share/ovirt-guest-agent/diskmapper
kernel:         4.1.7-200.fc22.x86_64
runlevel:       N 3
type:           Python
uid:            175

Truncated backtrace:
__init__.py:378:__getitem__:AttributeError: python: undefined symbol: udev_device_get_property_value

Traceback (most recent call last):
  File "/usr/share/ovirt-guest-agent/diskmapper", line 89, in <module>
    ludev = load_udev()
  File "/usr/share/ovirt-guest-agent/diskmapper", line 79, in load_udev
    f = getattr(ludev, '%s_%s' % (cls, name))
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 373, in __getattr__
    func = self.__getitem__(name)
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 378, in __getitem__
    func = self._FuncPtr((name_or_ordinal, self))
AttributeError: python: undefined symbol: udev_device_get_property_value

Local variables in innermost frame:
name_or_ordinal: 'udev_device_get_property_value'
self: <CDLL 'None', handle 7f7010bcc148 at 7f7010a73a50>
Comment 1 Lukas Slebodnik 2015-10-13 06:13:23 EDT
Created attachment 1082320 [details]
File: backtrace
Comment 2 Lukas Slebodnik 2015-10-13 06:13:24 EDT
Created attachment 1082321 [details]
File: environ
Comment 3 Fedora Update System 2015-10-16 07:24:47 EDT
ovirt-guest-agent-1.0.11-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d9a31877f6
Comment 4 Fedora Update System 2015-10-17 20:52:56 EDT
ovirt-guest-agent-1.0.11-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ovirt-guest-agent'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d9a31877f6
Comment 5 Fedora Update System 2016-04-05 06:23:02 EDT
ovirt-guest-agent-1.0.11-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-34b176643f
Comment 6 Fedora Update System 2016-04-07 12:50:09 EDT
ovirt-guest-agent-1.0.11-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-34b176643f
Comment 7 Fedora Update System 2016-07-11 22:23:53 EDT
ovirt-guest-agent-1.0.11-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.